Skip to main content
Create action

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

Body

application/json
name
string
required
block_name
string
required
block_action
string
required
source_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

table
string
required
schema
string | null
input_columns
object[]
output_columns
object[]
settings
object[]
test_result
object | null

Response

Created action

action_id
string
block_id
string
block_name
string
block_version
string
block_action
string
name
string
source_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

table
string
schema
string | null
enabled
boolean
revision
integer
input_columns
object[]
output_columns
object[]
settings
object[]
meta_column
object
test_result
object | null
Last modified on July 23, 2026